#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Drawing.Drawing2D;
using Syncfusion.Pdf;

using Syncfusion.Pdf.DLS;
using Syncfusion.DLS;

namespace EssentialPDFSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
		
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
            this.button1 = new System.Windows.Forms.Button();
            this.label1 = new System.Windows.Forms.Label();
            this.SuspendLayout();
            // 
            // button1
            // 
            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.button1.Image = ((System.Drawing.Image)(resources.GetObject("button1.Image")));
            this.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
            this.button1.Location = new System.Drawing.Point(464, 72);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(75, 23);
            this.button1.TabIndex = 0;
            this.button1.Text = "PDF";
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // label1
            // 
            this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.label1.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.Location = new System.Drawing.Point(0, 0);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(544, 56);
            this.label1.TabIndex = 1;
            this.label1.Text = resources.GetString("label1.Text");
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(544, 102);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.button1);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "Form1";
            this.Text = "Essential PDF Sample";
            this.Load += new System.EventHandler(this.Form1_Load);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			//Create a PDF document.
			PDFLogicDocument document = new PDFLogicDocument();
			//Adding a section.
			IPDFSection section = document.AddSection();
			//Adding a paragraph to the section.
			IPDFParagraph paragraph = section.AddParagraph();
			//Adding a table to the paragraph.
			Syncfusion.DLS.ITable table = paragraph.AppendTable();

		    table.TableFormat.BackColor =Color.FromArgb( 0x85, 0xbf, 0x75 );
			table.ResetCells( 3, 4 );
			table.TableFormat.CellSpacing = 5;
			table.TableFormat.Paddings.All =10f;
			table.TableFormat.Borders.LineWidth =0;

			//Adding Canvas to the table
			ICanvas canvas=table.Rows[0].Cells[0].AddParagraph().AppendCanvas(new SizeF( 100,100)); 			

			TextShape shape=canvas.AddText("Head1");

			//This shape.Location property is used to change the point of rotation 
			shape.Location = new PointF( 40, 20 );
			shape.Transform.Rotate(10);  

			//Adding Canvas to the table
			 canvas=table.Rows[0].Cells[1].AddParagraph().AppendCanvas(new SizeF( 100,100)); 			

			shape=canvas.AddText("Head2");

			//This shape.Location property is used to change the point of rotation 
			shape.Location = new PointF( 40, 20 );
			shape.Transform.Rotate(10);  

			//Adding Canvas to the table
			canvas=table.Rows[0].Cells[2].AddParagraph().AppendCanvas(new SizeF( 100,100)); 			

			 shape=canvas.AddText("Head3");

			//This shape.Location property is used to change the point of rotation 
			shape.Location = new PointF( 40, 20 );
			shape.Transform.Rotate(10);  			
				   
			table.Rows[0].IsHeader =true;
			//Save the Document to the disk.
			document.Save("Sample.pdf");

			//Message box confirmation to view the created PDF document.
			if (MessageBox.Show ("Do you want to view the PDF file?", "PDF File Created",
				MessageBoxButtons.YesNo, MessageBoxIcon.Information)
				== DialogResult.Yes) 
			{
				//Launching the PDF file using the default Application.[Acrobat Reader]
				System.Diagnostics.Process.Start("Sample.pdf");
				this.Close();
			}
			else
			{
				// Exit
				this.Close();
			}
		}

        private void Form1_Load(object sender, EventArgs e)
        {

        }
	}
}
